Bug 1476894 - Virt-who not filtering the hosts with name and uuid both [NEEDINFO]
Virt-who not filtering the hosts with name and uuid both
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virt-who (Show other bugs)
7.2
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: candlepin-bugs
Eko
: Triaged
Depends On:
Blocks: 1441761
  Show dependency treegraph
 
Reported: 2017-07-31 14:02 EDT by Kevin Howell
Modified: 2018-01-29 13:58 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1441761
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
csnyder: needinfo? (mverma)


Attachments (Terms of Use)

  None (edit)
Comment 2 Kevin Howell 2017-07-31 14:03:13 EDT
Dev: please reproduce the issue if possible.
Comment 3 Chris Snyder 2017-08-07 14:49:18 EDT
I am not able to reproduce the issue. Virt-who 0.19 is able to parse values of the 'filter_hosts' config parameter correctly.

The filter_hosts configuration parameter will select only hypervisors with hypervisor_ids matching the value(s) given to it.

In my reproducer using the value for 'filter_hosts' of (less the single quotes)
'"abc.caidan.local","xyz.caidan.local"', results in only the hypervisors with hostnames "abc.caidan.local" and "xyz.caidain.local" to be sent.

I've also verified that using a 'filter_hosts' value of (less the single quotes) 'abc.caidan.local,xyz.caidan.local' behaves the same as above as well.

-----------------------------------------------------------------------

It is worth noting that the configuration parameters 'filter_hosts' and similar ('exclude_hosts'), match against whatever the hypervisor_id is set to. So with a 'hypervisor_id' setting of 'hostname', 'filter_hosts' will match the hostnames retrieved from the server.


-----------------------------------------------------------------------

At this point I would suggest removing the 'filter_hosts' parameter (as you have),
setting the 'hypervisor_id' to 'hostname' (as you have), and running the following, to see what virt-who has identified the hostnames as:

'virt-who --print 2>/dev/null | python -m json.tool | grep uuid'

That should help to identify if perhaps there is a mismatch in what virt-who is gathering as the hostnames and what is expected (used in the filter).


Please let me know if you are able to solve the issue using the above.

Note You need to log in before you can comment on or make changes to this bug.